Offline install gzip_lines plugin not working on Linux


(shashwat) #1

Hi,

I am trying with logstash 5.5.1. When I run following command on my Linux machine(staging server) to prepare for offline install of this plugin, it fails.

./logstash-plugin prepare-offline-pack --output ./plugins_gzip.zip logstash-codec-gzip_lines
ERROR: Cannot create the offline archive, message: Cannot find plugins matching: logstash-codec-gzip_lines


(Imma) #2

It is not installed in a default logstash. Install the gem from https://rubygems.org/gems/logstash-codec-gzip_lines.


(shashwat) #3

Thanks, that was helpful. I could build the gzip_lines plugin.


(system) #4

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.